Get datasets for custom reports.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Custom Reports under the Custom Reports category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/reports/datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"displayName": "Assets",
"fields": [
{
"dataType": "string",
"displayName": "Asset: Name",
"name": "Name",
"unit": "kilometersPerHour"
}
],
"hasTimeRangeFilter": true,
"id": "Assets",
"timeRangeLimitDays": 31
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The list of dataset IDs to retrieve the datasets for. Include up to 10 dataset IDs. If not provided, all datasets will be returned.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
Maximum number of datasets to return.
1 <= x <= 100curl --request GET \
--url https://api.samsara.com/reports/datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"displayName": "Assets",
"fields": [
{
"dataType": "string",
"displayName": "Asset: Name",
"name": "Name",
"unit": "kilometersPerHour"
}
],
"hasTimeRangeFilter": true,
"id": "Assets",
"timeRangeLimitDays": 31
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}